Subject: Ticket Assigned - Feedback or suggestions
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 28 May 2021 10:03:38 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Hi there,

It's been almost a month now since I last contacted the customer service, they said tabby payment will be available soon, still tabby payment is unavailable. Please could you update when will it start working again? Just 2 days back I saw it was available in morning later in the evening when I tried ordering it was again gone. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2634731